org.richfaces.renderkit

## Class ClientSelectItem

- java.lang.Object
- - org.richfaces.renderkit.ClientSelectItem

- All Implemented Interfaces:
    ScriptString

      public final class ClientSelectItem
      extends Object
      implements ScriptString

  Author:
    Brian Leathem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSelectItem(javax.faces.model.SelectItem selectItem, String convertedValue, String label, Integer sortOrder, boolean selected)`
    `ClientSelectItem(javax.faces.model.SelectItem selectItem, String convertedValue, String label, Integer sortOrder, boolean selected, String clientId)`
    `ClientSelectItem(javax.faces.model.SelectItem selectItem, String convertedValue, String label, String clientId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendScript(Appendable target)` Append JavaScript code to @link `Appendable`
    `void` | `appendScriptToStringBuilder(StringBuilder stringBuilder)` Append JavaScript code to @link `StringBuilder`
    `String` | `getClientId()`
    `String` | `getConvertedValue()`
    `String` | `getLabel()`
    `javax.faces.model.SelectItem` | `getSelectItem()`
    `Integer` | `getSortOrder()`
    `boolean` | `isSelected()`
    `void` | `setClientId(String clientId)`
    `String` | `toScript()` Return object content as JavaScript String.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSelectItem

          public ClientSelectItem(javax.faces.model.SelectItem selectItem,
                                  String convertedValue,
                                  String label,
                                  String clientId)

    - #### ClientSelectItem

          public ClientSelectItem(javax.faces.model.SelectItem selectItem,
                                  String convertedValue,
                                  String label,
                                  Integer sortOrder,
                                  boolean selected)

    - #### ClientSelectItem

          public ClientSelectItem(javax.faces.model.SelectItem selectItem,
                                  String convertedValue,
                                  String label,
                                  Integer sortOrder,
                                  boolean selected,
                                  String clientId)

  - ### Method Detail

    - #### getSelectItem

          public javax.faces.model.SelectItem getSelectItem()

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getLabel

          public String getLabel()

    - #### getConvertedValue

          public String getConvertedValue()

    - #### appendScript

          public void appendScript(Appendable target)
                            throws IOException

      Description copied from interface: `ScriptString`
      Append JavaScript code to @link `Appendable`
      Specified by:
        `appendScript` in interface `ScriptString`
      Throws:
        `IOException`

    - #### appendScriptToStringBuilder

          public void appendScriptToStringBuilder(StringBuilder stringBuilder)

      Description copied from interface: `ScriptString`
      Append JavaScript code to @link `StringBuilder`
      Specified by:
        `appendScriptToStringBuilder` in interface `ScriptString`

    - #### toScript

          public String toScript()

      Description copied from interface: `ScriptString`
      Return object content as JavaScript String.
      Specified by:
        `toScript` in interface `ScriptString`
      Returns:
        object content as JavaScript String

    - #### isSelected

          public boolean isSelected()

    - #### getSortOrder

          public Integer getSortOrder()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.